Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.internal.core.services.label
Class EMFFormsLabelProviderImpl_Test

    java.lang.Object
      org.eclipse.emfforms.internal.core.services.label.EMFFormsLabelProviderImpl_Test

    public class EMFFormsLabelProviderImpl_Test

extends Object

Nested Class Summary
`static interface` | `EMFFormsLabelProviderImpl_Test.TestObservableValue` Helper Interface for mocking.

Constructor Summary
`EMFFormsLabelProviderImpl_Test()`

Method Summary
`void` | `setup()`
`void` | `tearDown()`
`void` | `testGetDescriptionVDomainModelReference()`
`void` | `testGetDescriptionVDomainModelReferenceEObject()`
`void` | `testGetDescriptionVDomainModelReferenceEObjectNull()`
`void` | `testGetDescriptionVDomainModelReferenceEObjectThrowDatabindingException()`
`void` | `testGetDescriptionVDomainModelReferenceNull()`
`void` | `testGetDescriptionVDomainModelReferenceNullEObject()`
`void` | `testGetDescriptionVDomainModelReferenceThrowDatabindingException()`
`void` | `testGetDisplayNameVDomainModelReference()`
`void` | `testGetDisplayNameVDomainModelReferenceEObject()`
`void` | `testGetDisplayNameVDomainModelReferenceEObjectNull()`
`void` | `testGetDisplayNameVDomainModelReferenceEObjectThrowDatabindingException()`
`void` | `testGetDisplayNameVDomainModelReferenceNull()`
`void` | `testGetDisplayNameVDomainModelReferenceNullEObject()`
`void` | `testGetDisplayNameVDomainModelReferenceThrowDatabindingException()`
`void` | `testNotifyLocaleChange()`
`void` | `testSetEMFFormsLocaleProvider()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFFormsLabelProviderImpl_Test

    public EMFFormsLabelProviderImpl_Test()

Method Detail

### setup

    public void setup()

### tearDown

    public void tearDown()

### testGetDisplayNameVDomainModelReferenceNull

    public void testGetDisplayNameVDomainModelReferenceNull()
                                                     throws NoLabelFoundException

  Throws:
    `NoLabelFoundException`

### testGetDisplayNameVDomainModelReferenceThrowDatabindingException

    public void testGetDisplayNameVDomainModelReferenceThrowDatabindingException()
                                                                          throws NoLabelFoundException,
                                                                                 DatabindingFailedException

  Throws:
    `NoLabelFoundException`
    `DatabindingFailedException`

### testGetDisplayNameVDomainModelReference

    public void testGetDisplayNameVDomainModelReference()
                                                 throws NoLabelFoundException,
                                                        DatabindingFailedException,
                                                        BundleResolver.NoBundleFoundException

  Throws:
    `NoLabelFoundException`
    `DatabindingFailedException`
    `BundleResolver.NoBundleFoundException`

### testGetDisplayNameVDomainModelReferenceNullEObject

    public void testGetDisplayNameVDomainModelReferenceNullEObject()
                                                            throws NoLabelFoundException

  Throws:
    `NoLabelFoundException`

### testGetDisplayNameVDomainModelReferenceEObjectNull

    public void testGetDisplayNameVDomainModelReferenceEObjectNull()
                                                            throws NoLabelFoundException

  Throws:
    `NoLabelFoundException`

### testGetDisplayNameVDomainModelReferenceEObjectThrowDatabindingException

    public void testGetDisplayNameVDomainModelReferenceEObjectThrowDatabindingException()
                                                                                 throws NoLabelFoundException,
                                                                                        DatabindingFailedException,
                                                                                        BundleResolver.NoBundleFoundException

  Throws:
    `NoLabelFoundException`
    `DatabindingFailedException`
    `BundleResolver.NoBundleFoundException`

### testGetDisplayNameVDomainModelReferenceEObject

    public void testGetDisplayNameVDomainModelReferenceEObject()
                                                        throws NoLabelFoundException,
                                                               DatabindingFailedException,
                                                               BundleResolver.NoBundleFoundException

  Throws:
    `NoLabelFoundException`
    `DatabindingFailedException`
    `BundleResolver.NoBundleFoundException`

### testGetDescriptionVDomainModelReferenceNull

    public void testGetDescriptionVDomainModelReferenceNull()
                                                     throws NoLabelFoundException

  Throws:
    `NoLabelFoundException`

### testGetDescriptionVDomainModelReferenceThrowDatabindingException

    public void testGetDescriptionVDomainModelReferenceThrowDatabindingException()
                                                                          throws NoLabelFoundException,
                                                                                 DatabindingFailedException

  Throws:
    `NoLabelFoundException`
    `DatabindingFailedException`

### testGetDescriptionVDomainModelReference

    public void testGetDescriptionVDomainModelReference()
                                                 throws NoLabelFoundException,
                                                        DatabindingFailedException,
                                                        BundleResolver.NoBundleFoundException

  Throws:
    `NoLabelFoundException`
    `DatabindingFailedException`
    `BundleResolver.NoBundleFoundException`

### testGetDescriptionVDomainModelReferenceNullEObject

    public void testGetDescriptionVDomainModelReferenceNullEObject()
                                                            throws NoLabelFoundException

  Throws:
    `NoLabelFoundException`

### testGetDescriptionVDomainModelReferenceEObjectNull

    public void testGetDescriptionVDomainModelReferenceEObjectNull()
                                                            throws NoLabelFoundException

  Throws:
    `NoLabelFoundException`

### testGetDescriptionVDomainModelReferenceEObjectThrowDatabindingException

    public void testGetDescriptionVDomainModelReferenceEObjectThrowDatabindingException()
                                                                                 throws NoLabelFoundException,
                                                                                        DatabindingFailedException,
                                                                                        BundleResolver.NoBundleFoundException

  Throws:
    `NoLabelFoundException`
    `DatabindingFailedException`
    `BundleResolver.NoBundleFoundException`

### testGetDescriptionVDomainModelReferenceEObject

    public void testGetDescriptionVDomainModelReferenceEObject()
                                                        throws NoLabelFoundException,
                                                               DatabindingFailedException,
                                                               BundleResolver.NoBundleFoundException

  Throws:
    `NoLabelFoundException`
    `DatabindingFailedException`
    `BundleResolver.NoBundleFoundException`

### testNotifyLocaleChange

    public void testNotifyLocaleChange()
                                throws NoLabelFoundException,
                                       DatabindingFailedException,
                                       BundleResolver.NoBundleFoundException

  Throws:
    `NoLabelFoundException`
    `DatabindingFailedException`
    `BundleResolver.NoBundleFoundException`

### testSetEMFFormsLocaleProvider

    public void testSetEMFFormsLocaleProvider()

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.